/*
 * Copyright 2009 Palm, Inc. All rights reserved.
 */
/*global Mojo, Class, $L, HelpAssistant, WebViewHelper */
/*jslint rhino:true, undef:true */

var TopicsAssistant = Class.create(HelpAssistant, {
  initialize: function($super, url) {
    $super();

    var params =
    {
        "url": url,
        "assistant": this
    };

    this.webViewHelper = new WebViewHelper(params);
  },
  setup:function() {
    this.base_setup( );
  },
  cleanup: function(event) {
    this.base_cleanup();
  },
  activate: function(event) {
    this.base_activate();
  },
  ready: function() {
    this.base_ready();
  },
  deactivate: function(event) {
    this.base_deactivate();
  }  
});
